    The XSPEC snapec model: galaxy cluster spectrum using SN yields.

xssnapec
The xssnapec model is an additive model component.

The model is described at [1] . The set_xsxset and get_xsxset

functions are used to set and query the XSPEC XSET parameters to control the APEC model.

>>> create_model_component("xssnapec", "mdl")
>>> print(mdl)

Create a component of the xssnapec model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.kT thawed 1 0.008 64 keV mdl.N_SNe thawed 1 0 1e+20 10^9 mdl.R thawed 1 0 1e+20 mdl.SNIModelIndex frozen 1 0 125 mdl.SNIIModelIndex frozen 1 0 125 mdl.redshift frozen 0 0 10 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
kT
The temperature of the plasma, in keV.
N_SNe
The number of SNe (in units of 10^9).
R
The percentage of SNIa.
SNIModelIndex
SNIa yield model: see [1] for more details.
SNIIModelIndex
SNII yield model: see [1] for more details.
redshift
The redshift of the plasma.
norm
The normalization of the model: see [1] for an explanation of the units.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelSnapec.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023